package com.ywt.outpatient.domain.models.enums;

/**
 * @author Walker
 * Created on 2020/4/26
 */
public enum GetTeamListTypeEnum {

    UNKNOWN("全部", 0),
    MP_HOME_PAGE("小程序首页展示", 1),
    MP_LIST_PAGE("非首页展示", 2);

    private final String displayName;

    private final int value;

    GetTeamListTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static GetTeamListTypeEnum valueOf(int value) {
        for (GetTeamListTypeEnum e : GetTeamListTypeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return UNKNOWN;
    }
}